#pragma once

#pragma warning ( disable: 4231 ) 

#include <log4cxx/logger.h>

#ifdef _DEBUG
#pragma comment(lib, "log4cxxD.lib")
#else
#pragma comment(lib, "log4cxx.lib")
#endif

using namespace log4cxx;
using namespace log4cxx::helpers;

#include ".\\SingletonT.h"

#define NTALK_LOG	CSingletonT<CNtalkLog>::Instance()

class CNtalkLog
{
public:
	CNtalkLog(void);
	virtual ~CNtalkLog(void);

private:
	LoggerPtr rootlog;
	LoggerPtr logLocalFile;

public:
	void Initialize(void);

	void Debug(const char* format, ...);
	void Debug(const wchar_t* format, ...);

	void Error(const char* format, ...);
	void Error(const wchar_t* format, ...);

private:
	bool LoadConfigurationFromRes(CString strLogConfigFilePath);
	bool WriteBinaryToFile(BYTE *pBuffer, DWORD nSize, CString strFilePath);
};
